ZSH="${MUREX}/modules/oh-my-zsh"

install_oh_my_zsh() {
    git clone https://github.com/ohmyzsh/ohmyzsh.git "$ZSH"

    themes="${ZSH}/custom/themes"
    ln -s "${MUREX}/conf/murex/oh-my.zsh-theme" "$themes"

    plugins="${ZSH}/custom/plugins"

    git clone https://github.com/zsh-users/zsh-syntax-highlighting.git  "${plugins}/zsh-syntax-highlighting"
    git clone https://github.com/zsh-users/zsh-autosuggestions          "${plugins}/zsh-autosuggestions"
    git clone https://github.com/zsh-users/zsh-history-substring-search "${plugins}/zsh-history-substring-search"
}

if [ ! -e "$ZSH" ]; then
    echo 'Would you like to download and install oh-my-zsh [ http://ohmyz.sh/ ]? (yes/no)'
    while true; do
        read answer
        case "$answer" in
            "no") break ;;
            "yes")
                install_oh_my_zsh
                break
                ;;
            *) echo 'Please type only "yes" or "no"'
        esac
    done
fi
